#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_CunJieQianDaoCFGData
{
	//天数
	int mDay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_CunJieQianDaoCFG
{
public:
private:
	static std::auto_ptr<M_CunJieQianDaoCFG> msSingleton;
public:
	int GetCount();
	const M_CunJieQianDaoCFGData* GetData(int Day);
	boost::unordered_map<int, M_CunJieQianDaoCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_CunJieQianDaoCFG* GetSingleton();
private:
	boost::unordered_map<int, M_CunJieQianDaoCFGData> mMapData;
};
